package com.ruoyi.rocketmq.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 系统其他信息监控数据对象 initial_other_system_monitor_data
 * 
 * @author gyt
 * @date 2025-09-23
 */
public class InitialOtherSystemMonitorData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 客户端ID */
    @Excel(name = "客户端ID")
    private String clientId;

    /** 交换卷/文件的可用空间（字节）采集 */
    @Excel(name = "交换卷/文件的可用空间", readConverterExp = "字=节")
    private Long systemSwapSizeFreeCollect;

    /** 可用交换空间百分比采集 */
    @Excel(name = "可用交换空间百分比采集")
    private BigDecimal systemSwapSizePercentCollect;

    /** 内存利用率采集 */
    @Excel(name = "内存利用率采集")
    private BigDecimal memoryUtilizationCollect;

    /** 可用内存采集 */
    @Excel(name = "可用内存采集")
    private Long memorySizeAvailableCollect;

    /** 可用内存百分比采集 */
    @Excel(name = "可用内存百分比采集")
    private BigDecimal memorySizePercentCollect;

    /** 总内存采集 */
    @Excel(name = "总内存采集")
    private Long memorySizeTotalCollect;

    /** 操作系统采集 */
    @Excel(name = "操作系统采集")
    private String systemSwOsCollect;

    /** 操作系统架构采集 */
    @Excel(name = "操作系统架构采集")
    private String systemSwArchCollect;

    /** 最大进程数采集 */
    @Excel(name = "最大进程数采集")
    private Long kernelMaxprocCollect;

    /** 正在运行的进程数采集 */
    @Excel(name = "正在运行的进程数采集")
    private Long procNumRunCollect;

    /** 登录用户数采集 */
    @Excel(name = "登录用户数采集")
    private Long systemUsersNumCollect;

    /** 硬盘总可用空间采集 */
    @Excel(name = "硬盘总可用空间采集")
    private Long systemDiskSizeTotalCollect;

    /** 系统启动时间采集 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "系统启动时间采集", width = 30, dateFormat = "yyyy-MM-dd")
    private Date systemBoottimeCollect;

    /** 系统描述采集 */
    @Excel(name = "系统描述采集")
    private String systemUnameCollect;

    /** 系统本地时间采集 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "系统本地时间采集", width = 30, dateFormat = "yyyy-MM-dd")
    private Date systemLocaltimeCollect;

    /** 系统正常运行时间采集 */
    @Excel(name = "系统正常运行时间采集")
    private Long systemUptimeCollect;

    /** 进程数采集 */
    @Excel(name = "进程数采集")
    private Long procNumCollect;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setClientId(String clientId) 
    {
        this.clientId = clientId;
    }

    public String getClientId() 
    {
        return clientId;
    }

    public void setSystemSwapSizeFreeCollect(Long systemSwapSizeFreeCollect) 
    {
        this.systemSwapSizeFreeCollect = systemSwapSizeFreeCollect;
    }

    public Long getSystemSwapSizeFreeCollect() 
    {
        return systemSwapSizeFreeCollect;
    }

    public void setSystemSwapSizePercentCollect(BigDecimal systemSwapSizePercentCollect) 
    {
        this.systemSwapSizePercentCollect = systemSwapSizePercentCollect;
    }

    public BigDecimal getSystemSwapSizePercentCollect() 
    {
        return systemSwapSizePercentCollect;
    }

    public void setMemoryUtilizationCollect(BigDecimal memoryUtilizationCollect) 
    {
        this.memoryUtilizationCollect = memoryUtilizationCollect;
    }

    public BigDecimal getMemoryUtilizationCollect() 
    {
        return memoryUtilizationCollect;
    }

    public void setMemorySizeAvailableCollect(Long memorySizeAvailableCollect) 
    {
        this.memorySizeAvailableCollect = memorySizeAvailableCollect;
    }

    public Long getMemorySizeAvailableCollect() 
    {
        return memorySizeAvailableCollect;
    }

    public void setMemorySizePercentCollect(BigDecimal memorySizePercentCollect) 
    {
        this.memorySizePercentCollect = memorySizePercentCollect;
    }

    public BigDecimal getMemorySizePercentCollect() 
    {
        return memorySizePercentCollect;
    }

    public void setMemorySizeTotalCollect(Long memorySizeTotalCollect) 
    {
        this.memorySizeTotalCollect = memorySizeTotalCollect;
    }

    public Long getMemorySizeTotalCollect() 
    {
        return memorySizeTotalCollect;
    }

    public void setSystemSwOsCollect(String systemSwOsCollect) 
    {
        this.systemSwOsCollect = systemSwOsCollect;
    }

    public String getSystemSwOsCollect() 
    {
        return systemSwOsCollect;
    }

    public void setSystemSwArchCollect(String systemSwArchCollect) 
    {
        this.systemSwArchCollect = systemSwArchCollect;
    }

    public String getSystemSwArchCollect() 
    {
        return systemSwArchCollect;
    }

    public void setKernelMaxprocCollect(Long kernelMaxprocCollect) 
    {
        this.kernelMaxprocCollect = kernelMaxprocCollect;
    }

    public Long getKernelMaxprocCollect() 
    {
        return kernelMaxprocCollect;
    }

    public void setProcNumRunCollect(Long procNumRunCollect) 
    {
        this.procNumRunCollect = procNumRunCollect;
    }

    public Long getProcNumRunCollect() 
    {
        return procNumRunCollect;
    }

    public void setSystemUsersNumCollect(Long systemUsersNumCollect) 
    {
        this.systemUsersNumCollect = systemUsersNumCollect;
    }

    public Long getSystemUsersNumCollect() 
    {
        return systemUsersNumCollect;
    }

    public void setSystemDiskSizeTotalCollect(Long systemDiskSizeTotalCollect) 
    {
        this.systemDiskSizeTotalCollect = systemDiskSizeTotalCollect;
    }

    public Long getSystemDiskSizeTotalCollect() 
    {
        return systemDiskSizeTotalCollect;
    }

    public void setSystemBoottimeCollect(Date systemBoottimeCollect) 
    {
        this.systemBoottimeCollect = systemBoottimeCollect;
    }

    public Date getSystemBoottimeCollect() 
    {
        return systemBoottimeCollect;
    }

    public void setSystemUnameCollect(String systemUnameCollect) 
    {
        this.systemUnameCollect = systemUnameCollect;
    }

    public String getSystemUnameCollect() 
    {
        return systemUnameCollect;
    }

    public void setSystemLocaltimeCollect(Date systemLocaltimeCollect) 
    {
        this.systemLocaltimeCollect = systemLocaltimeCollect;
    }

    public Date getSystemLocaltimeCollect() 
    {
        return systemLocaltimeCollect;
    }

    public void setSystemUptimeCollect(Long systemUptimeCollect) 
    {
        this.systemUptimeCollect = systemUptimeCollect;
    }

    public Long getSystemUptimeCollect() 
    {
        return systemUptimeCollect;
    }

    public void setProcNumCollect(Long procNumCollect) 
    {
        this.procNumCollect = procNumCollect;
    }

    public Long getProcNumCollect() 
    {
        return procNumCollect;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("clientId", getClientId())
            .append("systemSwapSizeFreeCollect", getSystemSwapSizeFreeCollect())
            .append("systemSwapSizePercentCollect", getSystemSwapSizePercentCollect())
            .append("memoryUtilizationCollect", getMemoryUtilizationCollect())
            .append("memorySizeAvailableCollect", getMemorySizeAvailableCollect())
            .append("memorySizePercentCollect", getMemorySizePercentCollect())
            .append("memorySizeTotalCollect", getMemorySizeTotalCollect())
            .append("systemSwOsCollect", getSystemSwOsCollect())
            .append("systemSwArchCollect", getSystemSwArchCollect())
            .append("kernelMaxprocCollect", getKernelMaxprocCollect())
            .append("procNumRunCollect", getProcNumRunCollect())
            .append("systemUsersNumCollect", getSystemUsersNumCollect())
            .append("systemDiskSizeTotalCollect", getSystemDiskSizeTotalCollect())
            .append("systemBoottimeCollect", getSystemBoottimeCollect())
            .append("systemUnameCollect", getSystemUnameCollect())
            .append("systemLocaltimeCollect", getSystemLocaltimeCollect())
            .append("systemUptimeCollect", getSystemUptimeCollect())
            .append("procNumCollect", getProcNumCollect())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
